al_draw_indexed_prim(3)

NAME

al_draw_indexed_prim - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    int al_draw_indexed_prim(const void* vtxs, const ALLEGRO_VERTEX_DECL* decl,
       ALLEGRO_BITMAP* texture, const int* indices, int num_vtx, int type)

DESCRIPTION

Draws a subset of the passed vertex array. This function uses an index array to specify which vertices to use.

Parameters:

•   texture - Texture to use, pass NULL to use only color shaded primitves

•   vtxs - Pointer to an array of vertices

•   decl - Pointer to a vertex declaration. If set to NULL, the vtxs are assumed to be of the ALLEGRO_VERTEX type

•   indices - An array of indices into the vertex array

•   num_vtx - Number of indices from the indices array you want to draw

•   type - A member of the ALLEGRO_PRIM_TYPE(3) enumeration, specifying what kind of primitive to draw

Returns: Number of primitives drawn

SEE ALSO

ALLEGRO_VERTEX(3), ALLEGRO_PRIM_TYPE(3), ALLEGRO_VERTEX_DECL(3), al_draw_prim(3)